#ifndef GANGU_CONFIG
#define GANGU_CONFIG

#ifdef WIN32

#include <tchar.h>

#pragma warning(disable:4819)
#pragma warning(disable:4244)
#endif

#define PHOENIX_LIMIT 5

#include <vector>
#include <string>
#include <boost/optional.hpp>
#include <boost/function.hpp>
#include <boost/array.hpp>
#include <boost/ref.hpp>
#include <boost/python.hpp>
#include <boost/spirit.hpp>
#include <boost/spirit/actor.hpp>
#include <boost/spirit/dynamic.hpp>
#include <boost/spirit/phoenix.hpp>
#include <boost/filesystem/operations.hpp>
#include <boost/filesystem/path.hpp>
#include <boost/mpl/assert.hpp>
#include <boost/shared_ptr.hpp>


namespace py = boost::python;
namespace fs = boost::filesystem;

using namespace boost::spirit;

typedef file_iterator< char > cfile_iterator;
typedef scanner< cfile_iterator, scanner_policies_t > scanner_t;

#endif
